pseudo_1.8.1+git20161012-2_i386.deb


Advertisement

Description

pseudo - advanced tool for simulating superuser privileges

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pseudo
Package version 1.8.1+git20161012
Package release 2
Package architecture i386
Package type deb
Installed size 413 B
Download size 102.04 KB
Official Mirror archive.ubuntu.com
The pseudo utility offers a way to run commands in a virtualized "root"
environment, allowing ordinary users to run commands which give the
illusion of creating device nodes, changing file ownership, and otherwise doing
things necessary for creating distribution packages or filesystems.
Pseudo has a lot of similarities to fakeroot but is a new implementation
that improves on the problems seen using fakeroot. Pseudo is now
extensively used by Poky as a replacement to fakeroot but can also be
used standalone in many other use cases.

Alternatives

Package Version Architecture Repository
pseudo_1.8.1+git20161012-2_amd64.deb 1.8.1+git20161012 amd64 Ubuntu Universe
pseudo - - -

Requires

Name Value
libc6 >= 2.15
libpseudo >= 1.8.1+git20161012-2
libsqlite3-0 >= 3.6.11

Provides

Name Value
fakeroot -

Download

Type URL
Binary Package pseudo_1.8.1+git20161012-2_i386.deb
Source Package pseudo

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pseudo deb package:
    # sudo apt-get install pseudo

Files

Path
/usr/bin/fakeroot-pseudo
/usr/bin/pseudo
/usr/bin/pseudodb
/usr/bin/pseudolog
/usr/share/doc/pseudo/README
/usr/share/doc/pseudo/README.Debian
/usr/share/doc/pseudo/changelog.Debian.gz
/usr/share/doc/pseudo/chroot
/usr/share/doc/pseudo/copyright
/usr/share/doc/pseudo/database.gz
/usr/share/doc/pseudo/overview.gz
/usr/share/doc/pseudo/passwd
/usr/share/doc/pseudo/pseudo_ipc
/usr/share/doc/pseudo/utils
/usr/share/man/man1/fakeroot-pseudo.1.gz
/usr/share/man/man1/pseudo.1.gz
/usr/share/man/man1/pseudolog.1.gz

Changelog

2016-10-29 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.8.1+git20161012-2) unstable; urgency=medium
* Attempt to unbreak x32 build.
2016-10-29 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.8.1+git20161012-1) unstable; urgency=medium
* New upstream snapshot.
* Drop upstream patches included in the snapshot.
2016-05-02 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.5-5) unstable; urgency=medium
* Actually install fakeroot-pseudo wrapper (Closes: #823162).
2016-04-29 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.5-4) unstable; urgency=medium
* Fix the package version in Replaces/Breaks.
2016-04-29 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.5-3) unstable; urgency=medium
[ Loïc Minier ]
* Unbreak GNU getopt test on some locales (LP: #1290069).
[ Andrew Shadura ]
* Split libpseudo into a separate package.
2016-04-29 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.5-2) unstable; urgency=medium
* Don't use -m32/-m64 (Closes: #819268).
2016-04-28 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.5-1) unstable; urgency=medium
* New upstream release.
* Patch from upstream:
- add wrapper for bind
* Fix punctuation in the manpage.
2015-11-24 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.4-2) unstable; urgency=medium
* Don't use pseudo directly, LD_PRELOAD it instead.
* Lower the priority to 5 to address #805937.
* Imitate fakeroot more closely.
* Fix inaccuracies in the copyright.
2015-11-22 - Andrew Shadura <andrewsh@debian.org>
pseudo (1.7.4-1) unstable; urgency=low
* Initial release (Closes: #796973).

See Also

Package Description
psfex_3.17.1+dfsg-3_i386.deb Point Spread Function model extractor
psgml_1.4.0-7_all.deb Emacs major mode for editing SGML documents
psi-plus-common_0.16.330-1.3_all.deb common files for Psi+
psi-plus-l10n_0.16.330-1_all.deb localization files for Psi+
psi-plus-plugins_0.16.330-1.3_i386.deb plugins for Psi+
psi-plus-skins_0.16.330-1.3_all.deb skins for Psi+
psi-plus-sounds_0.16.330-1.3_all.deb sound files for Psi+
psi-plus-webkit_0.16.330-1.3_i386.deb Qt-based XMPP/Jabber client (WebKit version)
psi-plus_0.16.330-1.3_i386.deb Qt-based XMPP/Jabber client (basic version)
psi-translations_1.11_all.deb Translations for psi
psi3_3.4.0-6build2_i386.deb Quantum Chemical Program Suite
psi4-data_1.0-1_all.deb Quantum Chemical Program Suite (data files)
psi4_1.0-1_i386.deb Quantum Chemical Program Suite
psi_0.15-4_i386.deb Jabber client using Qt
psignifit_2.5.6-3.1_i386.deb Fitting and testing hypotheses about psychometric functions
Advertisement
Advertisement